Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 76876

Summary: Check for root with [ -w /etc/passwd ] in a startup script for xinetd
Product: [Retired] Red Hat Linux Reporter: Michal Jaegermann <michal>
Component: xinetdAssignee: Jay Fenlason <fenlason>
Status: CLOSED ERRATA QA Contact: Brock Organ <borgan>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0CC: jfeeney
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: xinetd-2.3.11-1.8.0 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-08-11 17:57:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Michal Jaegermann 2002-10-28 16:14:37 UTC
Description of Problem:

There are too many situations when such test may give both false positive
and false negative results for this thing to be reliable.  True, an installation
has to be modified for that but this may happen and why create weird surprises?
[ "$(id -u)" = 0 ] || exit 1
should do the job instead.

This bug shows up also, at least, in initscripts-6.67-1 used in RH 7.3 distro.
See also #76612 for a related gotcha.

Comment 1 Bill Nottingham 2002-10-29 04:00:46 UTC
initscripts are part of the particular package.

Comment 2 Jay Fenlason 2003-08-11 17:57:57 UTC
This was fixed in xinetd-2.3.11-1.8.0